VisualEditor: Cut-and-paste swap of reference list creates massive content duplication, pawns (♙) and snowmen (☃) galore
Closed, DeclinedPublic

Description <- this was from an attempt to swap a references section and an external links section. We cannot have this scale corruption on launch. I'd be most grateful if someone could find out what the heck happened, and also confirm with some degree of certainty that it won't happen again.

Version: unspecified
Severity: major
See Also:

bzimport added a project: VisualEditor-DataModel.Via ConduitNov 22 2014, 1:53 AM
bzimport set Reference to bz50465.
Ironholds created this task.Via LegacyJun 30 2013, 5:12 PM
Jarry1250 added a comment.Via ConduitJun 30 2013, 5:16 PM

Given the severity, I'll try to recreate what I was doing but it was basically an attempt to cut the existing External Links section and paste it after the References. As I had made other changes, I can't rule out the idea that I could have stopped editing at the first sight of white pawns; certainly, I saw a couple just before the main "whumpfh" of the loop kicking in, but the loop might have already started by then.

Browser: Chrome latest (27.0.1453.116) running on Windows 7. Plenty of RAM (before the loop, anyway :P).

Jarry1250 added a comment.Via ConduitJun 30 2013, 5:17 PM

Oh, meant to add that the loop may well have been infinite but I tried to force the save (with ultimate success).

jayvdb added a comment.Via ConduitJul 22 2013, 2:48 AM

I can reproduce it. With a lot of the pawn bugs fixed now, maybe it has disappeared.

Esanders added a comment.Via ConduitSep 7 2013, 10:35 AM

I think this has been fixed for a while. Re-open if you can reproduce it.

Add Comment